import Utils from '@/utils/utils.js'
import zhCN from '@/locales/zh-CN/model.js'
import enUS from '@/locales/en-US/model.js'

const CommonDict = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

export const BaseConfig = {
  type: 'Modal',
  setting: {
    title: '',
    width: 60,
    cols: '2',
    container: 'tab',
    focus: '',
    finish: 'close',
    clickouter: 'unclose',
    display: 'modal'
  },
  tables: [],
  groups: [],
  fields: [
    {
      origin: true,
      uuid: Utils.getuuid(),
      label: 'label',
      field: '',
      initval: '',
      type: 'text',
      resourceType: '0',
      setAll: 'false',
      options: [],
      orderType: 'asc',
      decimal: 0,
      min: '',
      max: '',
      readonly: 'false',
      required: 'false'
    }, {
      origin: true,
      uuid: Utils.getuuid(),
      label: 'label',
      field: '',
      initval: '',
      type: 'select',
      resourceType: '0',
      setAll: 'false',
      options: [],
      orderType: 'asc',
      decimal: 0,
      min: '',
      max: '',
      readonly: 'false',
      required: 'false'
    }, {
      origin: true,
      uuid: Utils.getuuid(),
      label: 'label',
      field: '',
      initval: '',
      type: 'date',
      resourceType: '0',
      setAll: 'false',
      options: [],
      orderType: 'asc',
      decimal: 0,
      min: '',
      max: '',
      readonly: 'false',
      required: 'false'
    }
  ]
}

export const SearchItems = [
  {
    type: 'form',
    label: CommonDict['model.form.text'],
    subType: 'text',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.number'],
    subType: 'number',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.select'],
    subType: 'select',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.multiselect'],
    subType: 'multiselect',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.link'],
    subType: 'link',
    url: ''
  },
  {
    type: 'form',
    label: '开关',
    subType: 'switch',
    url: ''
  },
  {
    type: 'form',
    label: '多选框',
    subType: 'checkbox',
    url: ''
  },
  {
    type: 'form',
    label: '单选框',
    subType: 'radio',
    url: ''
  },
  {
    type: 'form',
    label: '选项卡',
    subType: 'checkcard',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['header.form.fileupload'],
    subType: 'fileupload',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.dateday'],
    subType: 'date',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.datemonth'],
    subType: 'datemonth',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.datetime'],
    subType: 'datetime',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.textarea'],
    subType: 'textarea',
    url: ''
  },
  {
    type: 'form',
    label: '提示',
    subType: 'hint',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['model.form.color'],
    subType: 'color',
    url: ''
  },
  {
    type: 'form',
    label: '富文本',
    subType: 'brafteditor',
    url: ''
  },
  {
    type: 'form',
    label: CommonDict['header.form.funcvar'],
    subType: 'funcvar',
    url: ''
  }
]

